# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KJS::DOMObject Class Reference

Base class for all objects in this binding - get() and put() run tryGet() and tryPut() respectively, and catch exceptions if they occur. More...

`#include <kjs_binding.h>`

List of all members.

## Public Member Functions

| DOMObject (const Object &proto)
virtual Value | get (ExecState *exec, const Identifier &propertyName) const
virtual Value | tryGet (ExecState *exec, const Identifier &propertyName) const
virtual void | put (ExecState *exec, const Identifier &propertyName, const Value &value, int attr=None)
virtual void | tryPut (ExecState *exec, const Identifier &propertyName, const Value &value, int attr=None)
virtual UString | toString (ExecState *exec) const

## Detailed Description

Base class for all objects in this binding - get() and put() run tryGet() and tryPut() respectively, and catch exceptions if they occur.

Definition at line 50 of file kjs_binding.h.

The documentation for this class was generated from the following files:

- kjs_binding.h
- kjs_binding.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:34:35 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003